cURL
curl --request PUT \ --url https://app.demand-iq.com/api/notifications/subscriptions/{subscriptionId} \ --header 'Content-Type: application/json' \ --cookie session= \ --data ' { "name": "<string>", "eventType": "<string>", "channel": "webhook", "channelConfig": {}, "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "isActive": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "eventType": "<string>", "channel": "webhook", "channelConfig": {}, "isActive": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Session cookie obtained from POST /api/auth/login.
POST /api/auth/login
webhook
email
console
Updated subscription
Channel-specific configuration (e.g. URL for webhook, recipients for email)